/*
 * testinst.c: Test of global instance handles
 *             for Microsoft and Borland compilers
 */

#include <windows.h>

#ifdef __BORLANDC__
    #pragma argsused
#endif


#ifdef DLL
#   ifdef __BORLANDC__
        extern HINSTANCE    _hInstance;
#       define THISINSTANCE _hInstance
#   else
        extern HINSTANCE    _hModule;
#       define THISINSTANCE _hModule
#   endif
    int CALLBACK LibMain(HINSTANCE Current, WORD Ds,
                           WORD HeapSize, LPSTR CommandLine)
#else
    extern HINSTANCE    _hInstance;
#   define THISINSTANCE _hInstance
    int PASCAL WinMain(HINSTANCE Current, HINSTANCE Previous,
                         LPSTR CommandLine, int ShowCommand)
#endif
    {
    const char FAR *Message = "THISINSTANCE works!";

    if(Current != THISINSTANCE)
        Message = "THISINSTANCE does not work!";

    MessageBox(NULL, Message, "Test THISINSTANCE", MB_OK);

    return 1;
    }
