REM bldmsg.bat - Build msg_test.exe.
REM ----------------------------------------------
rm *.obj *.res *.exe
@set CCFILES=msg_test.c msg_box.c
@if NOT "%cc%"=="bcc" goto NOTBCC
rc -r msg_test.rc
bcc -DSTRICT -WSE -vi %CCFILES%
brc msg_test.res msg_test.exe
@goto END
:NOTBCC
@if NOT "%cc%"=="msc" goto NOTMSC
rc -r msg_test.rc
cl /c /DSTRICT /nologo /W3 /Zp /GAs /GEsme %CCFILES%
link /nologo /NOE /align:16 /NOD /MAP:FULL /LINE msg_test msg_box,,msg_test,slibcew+libw,msg_test;
rc msg_test.res msg_test.exe
@goto END
:NOTMSC
@if NOT "%cc%"=="wcc"  goto NOTWC
REM Sorry, could not get this to work with Watcom, due to
REM a bug in wrc.exe. 
wrc -r msg_test.rc
wcl -dSTRICT -w3 -zw -bt=windows -ms %CCFILES%
wrc msg_test.res msg_test.exe
@goto END
:NOTWC
@if NOT "%cc%"=="sc"  goto NOTSC
rc -r msg_test.rc
sc -DSTRICT -a1 -ms -W3 %CCFILES%
rem Note: due to bug in Symantec 10.0 rtl, this rc produces error message
rc msg_test.res msg_test.exe
@goto END
:NOTSC
@echo To use this batch file, set your CC environment variable to:
@echo   bcc     - if you are using Borland C++ v4.5
@echo   msc     - if you are using Microsoft Visual C++ v1.5
@echo   wcc     - if you are using Watcom C++ v10.0
@echo   sc      - if you are using Symantec C++ v6.10
:END
@set CCFILES=

